phoenix-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gabriel Reid <gabriel.r...@gmail.com>
Subject Re: Phoenix 4.0.0 and DbVizualizer Pro 9.1.9
Date Fri, 18 Jul 2014 11:49:42 GMT
Hi Cosmin,

The underlying problem has to do with the way that jar files and hbase
configuration files are loaded on the client side, so there shouldn't
be any need to update anything on the cluster nodes themselves. If you
can add the hbase-client jar (and possible hbase-site.xml) to the list
of driver search paths in DBVisualizer (similar to what is discussed
here: http://www.dbvis.com/doc/8.0/doc/ug/installDriver/installDriver.html),
it might resolve this issue for now.

The good news is that this is resolved in PHOENIX-966 [1], and so it
will be in the next release of Phoenix (hopefully in the next couple
of weeks). I previously did some testing with DBVisualizer as part of
the work on PHOENIX-966, and with that patch everything works
properly.

- Gabriel

1. https://issues.apache.org/jira/browse/PHOENIX-966

On Fri, Jul 18, 2014 at 11:47 AM, Cosmin Cătălin Sanda
<cosmincatalin@gmail.com> wrote:
> Hi
>
> I am trying to use Phoenix with DbVizualizer, and I seem to stumble on
> a problem that has appeared before, but which I cannot fix. I have two
> test scenarios:
>
> Without an HBase cluster I follow these steps:
>
>  - Configure the JDBC driver in DBVizualizer by using
> phoenix-4.0.0-incubating-client.jar and everything seems correct.
>  - Connect to a nonexisting HBase cluster just for the heck of it.
>  - I get the infamous:
>
>    hbase-default.xml file seems to be for and old version of HBase
> (null), this version is 0.98.1-hadoop2
>
> With an HBase cluster up and running:
>
>   - Use ./sqlline.py to connect to the cluster, Connection is made
> successful and I am able to work with HBase to the full.
>   - Use DbVizualizer to connect to the same cluster:
>   - I get the infamous:
>
>    hbase-default.xml file seems to be for and old version of HBase
> (null), this version is 0.98.1-hadoop2
>
> I have added
>
> <property>
>    <name>hbase.defaults.for.version.skip</name>
>    <value>true</value>
> </property>
>
> to all the hbase-site.xml files on all nodes of the cluster that had
> HBase installed, both to the actual HBase conf/hbase-site.xml
> configuration and to the Phoenix configuration in bin/hbase-site.xml
>
> Is there anything else I'm missing?
>
> ------------------------------------
> Cosmin Catalin SANDA
> Software Systems Engineer
> Phone: +45.27.30.60.35

Mime
View raw message